Subject: Re: HTTP pushes

From: Nick Hengeveld <[email-masked]>
Date: Tue, 1 Nov 2005 16:59:57 -0800

On Tue, Nov 01, 2005 at 04:36:42PM -0800, Junio C Hamano wrote:

> I had an impression that DAV has its own notion of version
> control, so using git as a backend on the server side might be
> an interesting exercise.

There are versioning extensions to DAV, but they're not supported in all
implementations - for example, Apache's mod_dav only supports the
distributed authoring methods and that's what I've been testing with.
Pushing should work fine to a version-aware DAV server, although the
push should fail if the repository files are version-controlled (they
don't have to be, and it wouldn't make sense for them to be anyway.)

-- 
For a successful technology, reality must take precedence over public
relations, for nature cannot be fooled.